
package cn.orionsec.ops.constant.app;

import lombok.AllArgsConstructor;
import lombok.Getter;


@AllArgsConstructor
@Getter
public enum RepositoryType {

    /**
     * git
     */
    GIT(1),

    ;

    private final Integer type;

    public static RepositoryType of(Integer type) {
        if (type == null) {
            return null;
        }
        for (RepositoryType value : values()) {
            if (value.type.equals(type)) {
                return value;
            }
        }
        return null;
    }

}
